Your message dated Wed, 21 Sep 2016 19:49:53 +0000
with message-id <e1bmnwj-0005kq...@franck.debian.org>
and subject line Bug#838084: fixed in mpdris2 0.7+git20160917-1
has caused the Debian Bug report #838084,
regarding mpdris2: Fails to start without gir1.2-notify-0.7 installed
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
838084: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=838084
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: mpdris2
Version: 0.7+git20160705-1
Severity: important

Dear Maintainer,

mpDris2 fails to start if python3-gi is installed, but
gir1.2-notify-0.7 is not. This will usually be a case for people who opt 
out of installing recommended packages (unless gir1.2-notify-0.7 is 
pulled in as dependency by something else).

The root cause is gi module raising uncaught exception in
require_version method:

#v+
$ mpDris2
Traceback (most recent call last):
  File "./mpDris2.in.py", line 55, in <module>
    gi.require_version('Notify', '0.7')
  File "/usr/lib/python3/dist-packages/gi/__init__.py", line 118, in 
require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Notify not available
#v-

This issue has been reported upstream
(https://github.com/eonpatapon/mpDris2/issues/80) and fixed in master
commit 3c3fe12.

Best regards,
Mirosław Zalewski

-- System Information:
Debian Release: stretch/sid
  APT prefers testing
  APT policy: (990, 'testing'), (400, 'unstable'), (102, 'experimental'), (10, 
'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.6.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8) (ignored: LC_ALL 
set to pl_PL.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages mpdris2 depends on:
ii  dbus          1.10.10-1
ii  python3       3.5.1-4
ii  python3-dbus  1.2.4-1
ii  python3-gi    3.21.91-2
ii  python3-mpd   0.5.5-2
pn  python3:any   <none>

Versions of packages mpdris2 recommends:
pn  gir1.2-notify-0.7  <none>

Versions of packages mpdris2 suggests:
ii  mpd  0.19.18-1+b1

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: mpdris2
Source-Version: 0.7+git20160917-1

We believe that the bug you reported is fixed in the latest version of
mpdris2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 838...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <s...@debian.org> (supplier of updated mpdris2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 21 Sep 2016 20:11:29 +0100
Source: mpdris2
Binary: mpdris2
Architecture: source
Version: 0.7+git20160917-1
Distribution: unstable
Urgency: medium
Maintainer: mpd maintainers <pkg-mpd-maintain...@lists.alioth.debian.org>
Changed-By: Simon McVittie <s...@debian.org>
Description:
 mpdris2    - media player interface (MPRIS2) bridge for MPD
Closes: 838084
Changes:
 mpdris2 (0.7+git20160917-1) unstable; urgency=medium
 .
   * New upstream snapshot
     - catch and ignore ValueError if python3-gi is available, but
       Notify-0.7 GIR is not (Closes: #838084)
Checksums-Sha1:
 081dccc03e47f4e8a5dd211954c867d8a84eb6f4 2052 mpdris2_0.7+git20160917-1.dsc
 50b3e3a3d3b130d739bd7a27cffd09beb56cd368 29904 
mpdris2_0.7+git20160917.orig.tar.xz
 322dda9a17313797364e1df90f74d46a934ccd58 5860 
mpdris2_0.7+git20160917-1.debian.tar.xz
Checksums-Sha256:
 75e32973653782d96ff5b4a86b14da3468d187c7395fe74361191fe96e192bc9 2052 
mpdris2_0.7+git20160917-1.dsc
 6da39b3f7a91f53172f2621b0bb0ca95e20de237b161477cc2b1369f2c3536ee 29904 
mpdris2_0.7+git20160917.orig.tar.xz
 c990b997745e78afa6ee885f8d8f7793538100f43bd5b1dd1fda38a5e11fea51 5860 
mpdris2_0.7+git20160917-1.debian.tar.xz
Files:
 6a296a2f558e01b05a1a4dbf760056e4 2052 sound optional 
mpdris2_0.7+git20160917-1.dsc
 37ca1e8d450e943b8242c00be72d3c53 29904 sound optional 
mpdris2_0.7+git20160917.orig.tar.xz
 d537eaef0162ff21cfc808109eb515d1 5860 sound optional 
mpdris2_0.7+git20160917-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIcBAEBCAAGBQJX4uC0AAoJEE3o/ypjx8yQ18MP+gMhi3YjP7HMNv59iumXEKwk
LNXtdEHftR8gtroK5X8YAMnUeutX3U+S/IVnHFwMapMTrrcx+oCSxylPUx+Vr3qS
j79nWqGJNr6av7b1FtDg32cI0u3aJ0GKb+CQPfIgp8JdYbgswZ82Bxf8cer7Uqpb
pUJRFqCMiE0iEg5DijESZ9wqcU3EwFVNVzEe+IIHyLt/dxx1I9g/gOkxNsgOyVTx
sxIuCJCArxBaTNyGIkqY/ShXf0lM8V/RqCSnKLYci7hyfT2vptqL9FlBNKTzUqmO
rleszBf3BU9XD1FSbuaWmpuSfvMukIwalnt+EGA/z59NABrX4Sg58LtjwnGd0Oq1
num0U0BuDHn+/X6PtOxiDOaFpKBYofeWO8riF8RGis2DzbmjbGt04f6jXbGxdftQ
8eVMwBGxyywDv4ApSt5gT0ln85gbfNuo1+T0r3aZ+6CScYz6dwHX9dES6lJ7qZOF
nh9FU+VmTUmPq7xKlkohc8PZyhsYqfmQhftzE2Q1n6S34qVfAXoo1/hKyQ4yDA0s
b9J1Q40VWm7R6AAsxhJBgZ68w4C83MGFDYd+3BxJj4CGQlD0UJJVyal/12dyY+XP
uFNpt/UnZAoC4pnQztkQl33epT6VJPgS2bETLql0UlrvSoq7EI2ZLSYl8ZsKX+Or
EZ+IieRHFdWBNHsIPNCb
=DP52
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to